| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
huff_entropy_decoder Struct Reference

## Public Attributes
struct jpeg_entropy_decoder | pub
bitread_perm_state | bitstate
savable_state | saved
unsigned int | restarts_to_go
d_derived_tbl * | dc_derived_tbls [NUM_HUFF_TBLS]
d_derived_tbl * | ac_derived_tbls [NUM_HUFF_TBLS]
d_derived_tbl * | dc_cur_tbls [D_MAX_BLOCKS_IN_MCU]
d_derived_tbl * | ac_cur_tbls [D_MAX_BLOCKS_IN_MCU]
boolean | dc_needed [D_MAX_BLOCKS_IN_MCU]
boolean | ac_needed [D_MAX_BLOCKS_IN_MCU]

## Detailed Description

Definition at line 52 of file jdhuff.c.

## Member Data Documentation

d_derived_tbl* huff_entropy_decoder::ac_cur_tbls[D_MAX_BLOCKS_IN_MCU]

Definition at line 72 of file jdhuff.c.

d_derived_tbl* huff_entropy_decoder::ac_derived_tbls[NUM_HUFF_TBLS]

Definition at line 66 of file jdhuff.c.

boolean huff_entropy_decoder::ac_needed[D_MAX_BLOCKS_IN_MCU]

Definition at line 75 of file jdhuff.c.

bitread_perm_state huff_entropy_decoder::bitstate

Definition at line 58 of file jdhuff.c.

d_derived_tbl* huff_entropy_decoder::dc_cur_tbls[D_MAX_BLOCKS_IN_MCU]

Definition at line 71 of file jdhuff.c.

d_derived_tbl* huff_entropy_decoder::dc_derived_tbls[NUM_HUFF_TBLS]

Definition at line 65 of file jdhuff.c.

boolean huff_entropy_decoder::dc_needed[D_MAX_BLOCKS_IN_MCU]

Definition at line 74 of file jdhuff.c.

struct jpeg_entropy_decoder huff_entropy_decoder::pub

Definition at line 53 of file jdhuff.c.

unsigned int huff_entropy_decoder::restarts_to_go

Definition at line 62 of file jdhuff.c.

savable_state huff_entropy_decoder::saved

Definition at line 59 of file jdhuff.c.

The documentation for this struct was generated from the following file:

- /usr/local/bsoft/jpeg/jdhuff.c